summaryrefslogtreecommitdiff
path: root/dev-python/executing/executing-0.10.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-14 12:43:52 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-14 12:43:52 +0000
commit1acdd287e3e203acbf578f548b3f74ece4599c28 (patch)
tree842b6eb0f034398f1b2789eb9d4ea8cfb3b90439 /dev-python/executing/executing-0.10.0.ebuild
parent573cd021af53780a713637381b95ed8d1f41d9c9 (diff)
downloadbaldeagleos-repo-1acdd287e3e203acbf578f548b3f74ece4599c28.tar.gz
baldeagleos-repo-1acdd287e3e203acbf578f548b3f74ece4599c28.tar.xz
baldeagleos-repo-1acdd287e3e203acbf578f548b3f74ece4599c28.zip
Adding metadata
Diffstat (limited to 'dev-python/executing/executing-0.10.0.ebuild')
-rw-r--r--dev-python/executing/executing-0.10.0.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/executing/executing-0.10.0.ebuild b/dev-python/executing/executing-0.10.0.ebuild
new file mode 100644
index 000000000000..a4f6970d55d8
--- /dev/null
+++ b/dev-python/executing/executing-0.10.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Get information about what a Python frame is currently doing"
+HOMEPAGE="
+ https://github.com/alexmojaki/executing/
+ https://pypi.org/project/executing/
+"
+SRC_URI="
+ https://github.com/alexmojaki/executing/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# asttokens is optional runtime dep
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/littleutils[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ # this test explodes when collected by pytest
+ "${EPYTHON}" tests/test_main.py || die "Tests failed with ${EPYTHON}"
+ epytest tests/test_pytest.py
+}